﻿.alert-container {
    position: fixed;
    top: 1rem;
    right: 1rem;
    width: auto;
    z-index: 9999;
}

.alert {
    display: flex;
    align-items: center;
    align-items: center;
    justify-content: space-between; /* text left, close button right */
    flex-direction: row-reverse; /* swaps the message and close button */
    padding: 5px 20px;
    color: white;
    opacity: 1;
    transition: opacity 0.6s;
    margin-bottom: 10px;
    border-radius: 6px;
    box-shadow: 0 2px 6px rgba(0,0,0,0.2);
    font-size: 16px;
    font-weight: 500; /* bold × */
}

.alert.success {
    background-color: #04AA6D;
}
.alert.info 
{
    background-color: #2196F3;
}
.alert.warning {
    background-color: #ff9800;
}
.alert.danger {
    background-color: #f44336;
}

.closebtn {
    display: flex;
    align-items: center; /* vertical center */
    justify-content: center;
    font-size: 22px; /* adjust font size */
    cursor: pointer;
    margin-left: 15px;
    transition: 0.3s;
}

.closebtn:hover { 
    color: black; 
}

.fade-out { 
    opacity: 0; 
}
